@extends ('layouts.in')

@section ('body')

{{--$list--}}

<form method="get">
    <div class="sm:flex sm:space-x-4">
        <div class="flex-grow mt-2 sm:mt-0">
            <input type="search" name="search" value="{{ $REQUEST->input('search') }}" class="form-control form-control-lg" placeholder="{{ __('maintenance-sheet-index.search') }}" />
        </div>

        @if ($users_multiple)

        <div class="flex-grow mt-2 lg:mt-0">
            <x-select name="user_id" :options="$users" value="id" text="name" placeholder="{{ __('maintenance-sheet-index.user') }}" data-change-submit></x-select>
        </div>

        @endif

        <div class="flex-grow mt-2 lg:mt-0">
            <x-select name="vehicle_id" :options="$vehicles" value="id" text="name" placeholder="{{ __('maintenance-sheet-index.vehicle') }}" data-change-submit></x-select>
        </div>

        <div class="flex-grow mt-2 lg:mt-0">
            <input type="search" name="start_at" value="{{ $REQUEST->input('start_at') }}" class="form-control form-control-lg" placeholder="{{ __('maintenance-sheet-index.start-at') }}" data-datepicker data-datepicker-min-date="{{ $date_min }}" data-change-submit />
        </div>

        <div class="flex-grow mt-2 lg:mt-0">
            <input type="search" name="end_at" value="{{ $REQUEST->input('end_at') }}" class="form-control form-control-lg" placeholder="{{ __('maintenance-sheet-index.end-at') }}" data-datepicker data-datepicker-min-date="{{ $date_min }}" data-change-submit />
        </div>

        <div class="lg:ml-4 mt-2 lg:mt-0 bg-white">
            <button type="submit" class="btn form-control-lg whitespace-nowrap">{{ __('maintenance-sheet-index.send') }}</button>
        </div>

        <div class="sm:ml-4 mt-2 sm:mt-0 bg-white">
            <a href="{{ route('maintenance-sheet.create') }}" class="btn form-control-lg whitespace-nowrap">{{ __('maintenance-sheet-index.create') }}</a>
        </div>
    </div>
</form>

<div class="overflow-auto scroll-visible header-sticky">
    <table id="maintenance-sheet-list-table" class="table table-report sm:mt-2 font-medium font-semibold text-center whitespace-nowrap" data-table-sort data-table-pagination data-table-pagination-limit="10">
        <thead>
            <tr>
                @if ($user_empty)
                <th>{{ __('maintenance-sheet-index.user') }}</th>
                @endif

                @if ($vehicle_empty)
                <th>{{ __('maintenance-sheet-index.vehicle') }}</th>
                @endif

                <th>{{ __('maintenance-sheet-index.finspeccion') }}</th>
                <th>{{ __('maintenance-sheet-index.driver') }}</th>
                <th>{{ __('maintenance-sheet-index.inspector') }}</th>
                <th>{{ __('maintenance-sheet-index.area') }}</th>
                <th>{{ __('maintenance-sheet-index.central') }}</th>
            </tr>
        </thead>

        <tbody>
            @foreach ($list as $row)

            @php ($link = route('maintenance-sheet.update', $row->id))

            <tr>
                @if ($user_empty)
                <td><a href="{{ $link }}" class="block">{{ $row->user->name }}</a></td>
                @endif

                @if ($vehicle_empty)
                <td><a href="{{ $link }}" class="block">{{ $row->vehicle->name ?? '-' }}</a></td>
                @endif

                <td><a href="{{ $link }}" class="block">@dateLocal($row->finspeccion)</a></td>
                <td><a href="{{ $link }}" class="block">{{ $row->vehicle->driver->name ?? '-' }}</a></td>
                <td><a href="{{ $link }}" class="block">{{ $row->inspector }}</a></td>
                <td><a href="{{ $link }}" class="block">{{ $row->area }}</a></td>
                <td><a href="{{ $link }}" class="block">{{ $row->central }}</a></td>
            </tr>

            @endforeach
        </tbody>
    </table>
</div>

@stop
